--- title: "API FAQ" slug: "api-faq" status: "new" updated: 2025-06-27T11:10:25Z published: 2025-06-27T11:10:25Z canonical: "devdocs.veriff.com/api-faq" --- > ## Documentation Index > Fetch the complete documentation index at: https://devdocs.veriff.com/llms.txt > Use this file to discover all available pages before exploring further. # API FAQ --- ### FAQ #### What is the difference between POST [/v1/validate-registry](/v1-api/apidocs/v1validate-registry) and POST [sync-api/v1/validate-registry](/v1-api/apidocs/validate-registry-3)? SSN validation can be done via two public API endpoints: - POST /v1/validate-registry (hereinafter “default /validate-registry”), and - POST sync-api/v1/validate-registry (“sync-api /validate-registry”). **Similarities** **Request payload** for both calls is the **same for both endpoints**, meaning you must include the following: - `idNumber` - `fullname` OR `firstName` + `lastName` - `dateofBirth` OR address data - If `address` data is provided, then send EITHER `fullAddress` value OR the `street` + `houseNumber` + `postcode` values **Differences** First difference is the **API URL the endpoints are usin**g: - default /validate-registry calls are made to `//example-base-url/v1/validate-registry` - sync-api /validate-registry calls are made to `//sync-api.veriff.me/v1/validate-registry` The second difference is **how the endpoints return the data about the person being validated**: - **default /validate-registry** returns the data about person and/or document **via webhook** - **sync-api /validate-registry** returns the data **inside the API response payload** Note: Sync-api /validate-registry endpoint is not available by default, you need to contact Veriff to set it up. #### What does the `score` parameter indicate in [GET /person](/v1-api/apidocs/v1sessionsidperson-1) endpoint response, and how should it be used? The `score` provides an **initial indication of the matching**. This score changes dependant on the prioritisation logic it applies and the match type, which are explained below. The `score` relates to the `matchTypes` and `matchTypesDetails` section referenced. Below are details on the scores prioritisation logic and the grouped scores per match type (Min-Max, Weighting) **Score prioritisation logic** - Sanctions over other AML types - Exact name match over inexact name match - Date of Birth (DOB) match, over no DOB match - Country match over no country match over country mismatch **Sanctions scoring** - 1.1 - fuzzy match with country mismatch - 1.2 - fuzzy match - 1.3 - fuzzy match with country match - 1.4 - fuzzy match with yob match - 1.5 - fuzzy match with yob and country match - 1.6 - exact match with country mismatch - 1.7 - exact match - 1.8 - exact match with country match - 1.9 - exact match with yob match - 2.0 - exact match with yob and country match **Warnings, PEPs, AMs scoring** - 0.1 - fuzzy match with country mismatch - 0.2 - fuzzy match - 0.3 - fuzzy match with country match - 0.4 - fuzzy match with yob match - 0.5 - fuzzy match with yob and country match - 0.6 - exact match with country mismatch - 0.7 - exact match - 0.8 - exact match with country match - 0.9 - exact match with yob match - 1.0 - exact match with yob and country match **How should the** `score` **be used?** The `score` is an initial indication. Veriff strongly suggest that you use the `matchTypes` and `matchTypesDetails` in addition, which provides a granular understanding of why a certain entity was a match for the search. Reasons why you should use the `matchTypesDetails` field: - The `matchTypesDetails` field in the API contains a detailed breakdown of why a hit occurred, aligning to the `score`. For every name you matched on an entity, it will let you know how each term from your search matched it, as well other information about that name. - Allows you to better understand your own data (e.g., x% of hits are adverse media hits) and the type of matches coming back. - Helps make more informed decisions and leverage the information we send to build out auto-remediation rules on their end.